mirror of
https://github.com/libevent/libevent.git
synced 2025-01-31 09:12:55 +08:00
Patch abi-compliance-checker to avoid endless loop
This commit is contained in:
parent
798547ac20
commit
7eddd5262a
3
.github/workflows/build.yml
vendored
3
.github/workflows/build.yml
vendored
@ -991,6 +991,9 @@ jobs:
|
|||||||
abi-compliance-checker
|
abi-compliance-checker
|
||||||
pkgdiff
|
pkgdiff
|
||||||
vtable-dumper
|
vtable-dumper
|
||||||
|
# FIXME: clone git repo or report to debian
|
||||||
|
- name: Patch abi-compliance-checker to avoid endless loop
|
||||||
|
run: sudo patch /usr/bin/abi-compliance-checker < extra/abi-check/debian.patch
|
||||||
- name: Generate
|
- name: Generate
|
||||||
shell: bash
|
shell: bash
|
||||||
run: |
|
run: |
|
||||||
|
4
.github/workflows/master.yml
vendored
4
.github/workflows/master.yml
vendored
@ -80,6 +80,10 @@ jobs:
|
|||||||
pkgdiff
|
pkgdiff
|
||||||
vtable-dumper
|
vtable-dumper
|
||||||
|
|
||||||
|
# FIXME: clone git repo or report to debian
|
||||||
|
- name: Patch abi-compliance-checker to avoid endless loop
|
||||||
|
run: sudo patch /usr/bin/abi-compliance-checker < extra/abi-check/debian.patch
|
||||||
|
|
||||||
- name: Generate
|
- name: Generate
|
||||||
shell: bash
|
shell: bash
|
||||||
run: |
|
run: |
|
||||||
|
15
extra/abi-check/debian.patch
Normal file
15
extra/abi-check/debian.patch
Normal file
@ -0,0 +1,15 @@
|
|||||||
|
--- /usr/bin/abi-compliance-checker 2024-02-20 03:34:20.805679599 +0000
|
||||||
|
+++ /usr/bin/abi-compliance-checker 2024-02-20 03:34:32.095652901 +0000
|
||||||
|
@@ -9343,9 +9343,9 @@
|
||||||
|
exitStatus("Not_Found", "can't find \"tar\" command");
|
||||||
|
}
|
||||||
|
chdir($UnpackDir);
|
||||||
|
- my @res = child_exec("$TarCmd -xvzf \"$Path\" >\"$TmpDir/null\"");
|
||||||
|
- if($res[0]) {
|
||||||
|
- exitStatus("Error", "can't extract \'$Path\' ($res[0]): $res[1]");
|
||||||
|
+ system("$TarCmd -xvzf \"$Path\" >\"$TmpDir/null\"");
|
||||||
|
+ if($?) {
|
||||||
|
+ exitStatus("Error", "can't extract \'$Path\' ($?): $!");
|
||||||
|
}
|
||||||
|
chdir($In::Opt{"OrigDir"});
|
||||||
|
my @Contents = cmdFind($UnpackDir, "f");
|
Loading…
x
Reference in New Issue
Block a user